Subject: Re: bug#55455: [macOS] Fix build when using brew's libgccjit

From: Daniel Martín <[email-masked]>
Date: Mon, 16 May 2022 18:21:15 +0200

John Buckley <[email-masked]> writes:

> libgccjit installed via Homebrew now uses the correct .dylib dynamic library
> extension on macOS. This causes configure to fail because it is still
> using the .so extension.
>
> The attached patch fixes the libgccjit library extension in
> configure.ac

I think this is a duplicate of bug#55173, which should be fixed already.
Could you try to build Emacs with native compilation from the master
branch?